Subject: bug#22795: 25.0.91; Can't write read only file on w32

From: Eli Zaretskii <[email-masked]>
Date: Wed, 08 Jun 2016 20:07:53 +0300

> Date: Tue, 7 Jun 2016 16:02:38 -0700
> CC: <[email-masked]>
> From: "Ota, Takaaki" <[email-masked]>
> 
> I changed the ownership of the home directory.  Then performed the
> next test.  Does this tell you anything?

Not really, no.  I guess we still need the answers to the questions I
asked back in March, repeated below:

> > I just tried again with "run -Q" from gdb and the result is the same.
> > 24.5 never called sys_rename() and 25.0.91 called sys_rename() with
> > two same names.
> 
> What about Frename_file? does 24.5 call it in this scenario?
> 
> If it doesn't, then please look at the beginning of backup-buffer (in
> files.el), make sure it is called in 24.5 in this scenario, and then
> please tell what are the values of real-file-name and backup-info in
> this part at the beginning of backup-buffer:
> 
> 	(let* ((real-file-name (file-chase-links buffer-file-name))
> 	       (backup-info (find-backup-file-name real-file-name)))
> 
> Also, what are the values of make-backup-files, backup-inhibited, and
> buffer-backed-up in the buffer that visits the read-only file?
> 
> Btw, is that file under some kind of version control, per chance?
> 
> And please make sure, from now on, to test everything in "emacs -Q",
> to prevent any customizations from getting in the way of this
> investigation.

Thanks.